<!-- tableau liste projets -->
<!-- TODO: add role display view control -->
<div class="table-header container-fluid d-flex ">
  <div class="table-title container-fluid d-flex align-items-center">
    <app-add-utilisateur-popup></app-add-utilisateur-popup>
    <h1 class="text-grey">Utilisateurs</h1>
  </div>
    <span class="span-link text-no-wrap d-flex align-items-center" (click)="clickRouteRole();"
          style="cursor: pointer;">
    Gestionnaire d'utilisateurs</span>
</div>


<div class="table-container table-responsive">
  <table class="table table-striped p-3 text-grey">
    <caption>Tableau de la liste des utilisateurs</caption>
    <thead>
    <tr>
      <th class="center sm" scope="col">#</th>
      <th scope="col">Id</th>
      <th scope="col">Rôles</th>
      <th class="center" scope="col">Nom</th>
      <th class="center" scope="col">Prénom</th>
      <th class="center" scope="col">Adresse mail</th>
      <th class="center sm" scope="col">Activer</th>
      <th class="center sm" scope="col">Supprimer</th>
    </tr>
    </thead>
    <tbody>
    <tr  *ngFor="let utilsateur of utilisateurs"
         id="{{ utilsateur.id }}">
      <th class="center sm text-grey" scope="row">{{ utilsateur.id }}</th>
      <td class="text-grey sm"
          style="cursor: pointer;">
        {{ utilsateur.id }}</td>
      <td class="text-grey sm"
          style="cursor: pointer;">
        {{ utilsateur.role?.role }}</td>
      <td class="center text-grey" >{{ utilsateur.nom }}</td>
      <td class="center text-grey" >{{ utilsateur.prenom }}</td>
      <td class="center text-grey" >{{ utilsateur.mail }}</td>
      <td class="center sm text-grey" ><input type="checkbox" [checked]="utilsateur.confirmed" (click)="onValidate($event, utilsateur)"></td>
      <td id="aperçu{{ utilsateur.id }}"
          style="cursor: pointer;font-weight: bold;"
          class="center sm text-grey" >
        <img src="../../../assets/delete.png" alt="eye-icon">
      </td>
    </tr>
    </tbody>
  </table>
</div>

